# poptOption Struct Reference
[POPT.]

`#include <popt.h>`

## Data Fields

const char * | longName
char | shortName
int | argInfo
void * | arg
int | val
const char * | descrip
const char * | argDescrip

## Field Documentation

void* poptOption::arg

| depends on argInfo Definition at line 159 of file popt.h. Referenced by findOption(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), itemUsage(), maxArgWidth(), poptAddItem(), poptSaveInt(), poptSaveLong(), showShortOptions(), singleOptionDefaultValue(), and singleTableUsage().

const char* poptOption::argDescrip

| argument description for autohelp Definition at line 162 of file popt.h. Referenced by getArgDescrip(), poptAddItem(), poptFreeContext(), and singleOptionHelp().

int poptOption::argInfo

| Definition at line 158 of file popt.h. Referenced by findOption(), getArgDescrip(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), maxArgWidth(), poptAddItem(), poptSaveInt(), poptSaveLong(), showShortOptions(), singleOptionDefaultValue(), singleOptionHelp(), singleOptionUsage(), and singleTableUsage().

const char* poptOption::descrip

| description for autohelp -- may be NULL Definition at line 161 of file popt.h. Referenced by findOption(), invokeCallbacksPOST(), invokeCallbacksPRE(), poptAddItem(), poptFreeContext(), and singleOptionHelp().

const char* poptOption::longName

| may be NULL Definition at line 156 of file popt.h. Referenced by findOption(), getTableTranslationDomain(), handleAlias(), handleExec(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), maxArgWidth(), poptAddItem(), poptFreeContext(), showShortOptions(), singleOptionHelp(), singleOptionUsage(), and singleTableUsage().

char poptOption::shortName

| may be '' Definition at line 157 of file popt.h. Referenced by displayArgs(), findOption(), handleAlias(), handleExec(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), maxArgWidth(), poptAddItem(), showShortOptions(), singleOptionHelp(), singleOptionUsage(), and singleTableUsage().

int poptOption::val

| 0 means don't return, just update flag Definition at line 160 of file popt.h. Referenced by buildArgCallback(), installArgCallback(), poptAddItem(), queryArgCallback(), rpmQVSourceArgCallback(), signArgCallback(), and singleOptionHelp().

The documentation for this struct was generated from the following file:

- popt/popt.h